AUBTFWL(4)

NAME
aubtfwl - Atheros AR3011/AR3012 Firmware Loader

SYNOPSIS
aubtfwl* at uhub?

DESCRIPTION
The aubtfwl driver manages automatic loading of firmware on the Atheros AR3011 and AR3012 Bluetooth chipsets. The firmware files should be obtained and placed in a ubt/ directory in the search path of the firmload(9) kernel subsystem. Upon attachment, the aubtfwl driver will load the necessary firmware files and the device will detach and reattach as a generic Bluetooth device using the ubt(4) driver.

For AR3011 chipsets, you will need the ath3k-1.fw firmware file in ubt/, and for AR3012 chipsets, the files ar3k/AthrBT_*.dfu and ar3k/ramps_*.dfu in ubt/ar3k/.

The firmware files can be obtained from the Linux firmware git repository at http://git.kernel.org/?p=linux/kernel/git/firmware/linux-firmware.git.

FILES

•   ath3k-1.fw

•   ar3k/AthrBT_*.dfu

•   ar3k/ramps_*.dfu

SEE ALSO
bluetooth(4), ubt(4), uhub(4), firmload(9)